/*
  dust.h - Dust Sensor Library
*/
#ifndef dust_h
#define dust_h

#include "Arduino.h"

class DustSensor
{
  public:
    DustSensor(int pin);
    void heartbeat();
    void begin();
    boolean isReady();
    void computeValues();
    unsigned long lowpulseoccupancy = 0;
    float ratio = 0;
    float concentration = 0;
  private:
    int _pin;
    unsigned long _duration;
    unsigned long _starttime;
    unsigned long _sampletime_ms = 30000;//sampe 30s ;
    long _previousMillis = 0;
};

#endif
